package com.jocmp.rssparser.rss

import com.jocmp.rssparser.BaseParserTest
import com.jocmp.rssparser.model.RssImage

class XmlPreventRepeatedImagesTest : BaseParserTest(
    feedPath = "feed-prevent-repeated-images.xml",
    channelTitle = "Prensa sin censura",
    channelLink = "https://prensasincensura.com",
    channelDescription = "Publicando lo que otros medios ignoran.",
    channelImage = RssImage(url = "https://prensasincensura.com/wp-content/uploads/2022/02/image.jpg?w=32"),
    channelLastBuildDate = "Mon, 18 Nov 2024 16:49:45 +0000",
    channelUpdatePeriod = "hourly",
    articleGuid = "http://prensasincensura.com/?p=19030",
    articleTitle = "El potencial de Venezuela en BRICS+ y la reconfiguración geopolítica mundial",
    articleAuthor = "Prensa sin censura-Periodismo Independiente al margen del capital",
    articleLink = "https://prensasincensura.com/2024/11/18/el-potencial-de-venezuela-en-brics-y-la-reconfiguracion-geopolitica-mundial-2/",
    articlePubDate = "Mon, 18 Nov 2024 13:35:49 +0000",
    articleDescription = "El grupo BRICS (Brasil, Rusia, India, China y Sudáfrica), una coalición de economías emergentes, se expandió en 2023 para incluir cinco nuevos miembros: Egipto, Etiopía, Irán, Arabia Saudita (pendiente de incorporación plena) y los Emiratos Árabes Unidos. Por Dra Maribel Aponte García Economista Venezuela, con las mayores reservas probadas de petróleo en el mundo, así &#8230; <a href=\"https://prensasincensura.com/2024/11/18/el-potencial-de-venezuela-en-brics-y-la-reconfiguracion-geopolitica-mundial-2/\" class=\"more-link\">Continúa leyendo <span class=\"screen-reader-text\">El potencial de Venezuela en BRICS+ y la reconfiguración geopolítica&#160;mundial</span></a>",
    articleImage = "https://prensasincensura.com/wp-content/uploads/2024/11/img_4549.jpg?w=1024",
    articleCategories = listOf("Sin categoría"),
    articleCommentsUrl = "https://prensasincensura.com/2024/11/18/el-potencial-de-venezuela-en-brics-y-la-reconfiguracion-geopolitica-mundial-2/#respond",
    articleContent = "<p>El grupo BRICS (Brasil, Rusia, India, China y Sudáfrica), una coalición de economías emergentes, se expandió en 2023 para incluir cinco nuevos miembros: Egipto, Etiopía, Irán, Arabia Saudita (pendiente de incorporación plena) y los Emiratos Árabes Unidos.</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p></p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>Por Dra Maribel Aponte García </p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>Economista</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p></p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>Venezuela, con las mayores reservas probadas de petróleo en el mundo, así como significativos recursos de gas natural, oro y otros minerales, está estratégicamente posicionada para realizar contribuciones sustanciales al bloque BRICS+, que ha estado expandiéndose y reconfigurando la geopolítica y la geoeconomía global en los últimos años.</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>El grupo BRICS (Brasil, Rusia, India, China y Sudáfrica), una coalición de economías emergentes, se expandió en 2023 para incluir cinco nuevos miembros: Egipto, Etiopía, Irán, Arabia Saudita (pendiente de incorporación plena) y los Emiratos Árabes Unidos. Esta expansión ha consolidado al BRICS+ como un formidable bloque de hidrocarburos, controlando el 41 por ciento de las reservas mundiales de petróleo y un 47 por ciento de las reservas de gas natural.&nbsp;</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>Para Venezuela, que ha solicitado unirse al grupo, esto representa una oportunidad de integrarse con un conjunto de países capaces de contrarrestar la influencia económica occidental y las sanciones, en particular las impuestas por Estados Unidos y sus aliados. Con la inclusión de Venezuela, el porciento de las reservas de petróleo controladas por BRICS+ aumentaría al 59 por ciento.</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>De cara a la próxima Cumbre de BRICS+, programada para octubre de 2024 en Kazán, Rusia, el presidente ruso Vladimir Putin ya ha invitado a dos países latinoamericanos a asistir al evento: Venezuela y Bolivia (que cuenta con las mayores reservas de litio del mundo, recurso fundamental para la transición energética global). Estos dos países, junto con Cuba, Colombia y Nicaragua, han manifestado su interés en integrarse a BRICS+.&nbsp;</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>Durante este año, se había generado una gran expectativa en torno a la posible incorporación de Venezuela y/o Bolivia, con la esperanza de que el anuncio se realizara durante la Cumbre de Kazán. Esta expectativa se intensificó especialmente tras la decisión de Argentina, bajo el liderazgo del presidente Javier Milei, de rechazar la invitación para unirse al bloque.</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>Sin embargo, en junio de 2024, el Consejo de Ministros de Relaciones Exteriores de BRICS decidió suspender temporalmente la admisión de nuevos miembros. Esta decisión se tomó con el fin de dar tiempo para integrar a los nuevos miembros ya admitidos y para desarrollar un marco para los “países socios”, que eventualmente podrían convertirse en miembros plenos. Este se considera un paso estratégico para mejorar la cohesión interna del grupo y promover las asociaciones, particularmente con países del Sur Global. Se espera que esta cumbre se centre en expandir la influencia del grupo, discutir asociaciones económicas y abordar los desafíos financieros globales, incluidos los esfuerzos hacia la desdolarización.</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<h4 class=\"wp-block-heading\"><strong><mark style=\"background-color:rgba(0, 0, 0, 0);color:#000000\" class=\"has-inline-color has-black-color\">Beneficios estratégicos para los esfuerzos de desdolarización del BRICS+</mark></strong></h4>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>El sistema del petrodólar vinculó las exportaciones de petróleo al dólar estadounidense, reforzando así el dominio de Estados Unidos en el comercio mundial. Los países BRICS han buscado cada vez más crear una arquitectura financiera alternativa para reducir la dependencia del dólar estadounidense y alejarse del régimen del petrodólar.&nbsp;</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>La principal motivación es reducir su vulnerabilidad frente a las políticas económicas y sanciones de Estados Unidos. Rusia, por ejemplo, ha aumentado el comercio en otras monedas y acumulado reservas de oro. China, por su parte, ha promovido la internacionalización del yuan, con iniciativas para realizar transacciones energéticas en yuanes en lugar de dólares.</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>La inclusión de importantes productores de hidrocarburos como Arabia Saudita y los Emiratos Árabes Unidos en el bloque BRICS+, y potencialmente Venezuela, podría desafiar el dominio del régimen del petrodólar en los mercados energéticos, facilitando la transición hacia el uso de monedas alternativas en las transacciones de petróleo. La agenda de desdolarización del BRICS+ ha ganado impulso en los últimos años, con los países miembros explorando formas de reducir su dependencia del dólar estadounidense en el comercio y las finanzas internacionales.</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p>En un mundo donde la seguridad energética y la soberanía financiera están cada vez más entrelazadas con el poder geopolítico, Venezuela ofrece al BRICS+ un activo crítico en sus esfuerzos por remodelar el orden económico global. Ya sea ahora o en el futuro, el acercamiento de Venezuela al bloque BRICS+ se ha fortalecido, en vista de los acuerdos de cooperación y contratos que ha firmado con China y Rusia. Venezuela puede desempeñar un papel importante en la estrategia a largo plazo del bloque de crear un sistema multipolar.</p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<p class=\"has-medium-font-size\"><strong>Nota: La autora es profesora titular e investigadora en la Escuela Graduada de Administración de Empresas y el Centro de Investigación en Ciencias Sociales de la Universidad de Puerto Rico, Recinto de Río Piedras.</strong></p>\n" +
            "\n" +
            "\n" +
            "\n" +
            "<figure class=\"wp-block-image size-large\"><img width=\"1024\" height=\"576\" data-attachment-id=\"19028\" data-permalink=\"https://prensasincensura.com/img_4549/\" data-orig-file=\"https://prensasincensura.com/wp-content/uploads/2024/11/img_4549.jpg\" data-orig-size=\"1200,675\" data-comments-opened=\"1\" data-image-meta=\"{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;1&quot;}\" data-image-title=\"img_4549\" data-image-description=\"\" data-image-caption=\"\" data-medium-file=\"https://prensasincensura.com/wp-content/uploads/2024/11/img_4549.jpg?w=300\" data-large-file=\"https://prensasincensura.com/wp-content/uploads/2024/11/img_4549.jpg?w=648\" src=\"https://prensasincensura.com/wp-content/uploads/2024/11/img_4549.jpg?w=1024\" class=\"wp-image-19028\" srcset=\"https://prensasincensura.com/wp-content/uploads/2024/11/img_4549.jpg?w=1024 1024w, https://prensasincensura.com/wp-content/uploads/2024/11/img_4549.jpg?w=150 150w, https://prensasincensura.com/wp-content/uploads/2024/11/img_4549.jpg?w=300 300w, https://prensasincensura.com/wp-content/uploads/2024/11/img_4549.jpg?w=768 768w, https://prensasincensura.com/wp-content/uploads/2024/11/img_4549.jpg 1200w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /><figcaption class=\"wp-element-caption\">Foto: Rusia Today</figcaption></figure>"
)
